Package: org.grails.cli.profile

## [Groovy] Class ResourceProfile

- org.grails.cli.profile.ResourceProfile

- All Implemented Interfaces and Traits:
    Profile

      @groovy.transform.CompileStatic
      class ResourceProfile
      extends AbstractProfile
      implements Profile

  A profile that operates against abstract Resource references

  Since:
    3.0
  Authors:
    Lari Hotari
    Graeme Rocher

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractProfile` | `binaryExtensions, buildExcludes, buildMerge, buildPlugins, buildRepositories, classLoader, commandsByName, defaultFeaturesNames, dependencies, description, exclusionDependencySelector, executablePatterns, features, instructions, internalCommands, name, navigableConfig, parentNames, parentProfiles, parentTargetFolder, profileDir, profileRepository, repositories, requiredFeatureNames, skeletonExcludes, version`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ResourceProfile (ProfileRepository repository, java.lang.String name, Resource profileDir)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Profile` | `create(ProfileRepository repository, java.lang.String name, Resource profileDir)`
    `` | `boolean` | `equals(java.lang.Object o)`
    `` | `java.lang.String` | `getName()`
    `` | `int` | `hashCode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractProfile` | `getBinaryExtensions, getBuildMergeProfileNames, getBuildPlugins, getBuildRepositories, getCommand, getCommands, getCompleters, getConfiguration, getDefaultFeatures, getDependencies, getDescription, getExecutablePatterns, getExtends, getFeatures, getInstructions, getParentSkeletonDir, getParentSkeletonDir, getProfileDir, getProfileRepository, getRepositories, getRequiredFeatures, getSkeletonExcludes, getTemplate, getVersion, handleCommand, hasCommand, initialize, registerParentCommands, setProfileRepository`

- - ### Constructor Detail

    - #### ResourceProfile(ProfileRepository repository, java.lang.String name, Resource profileDir)

  - ### Method Detail

    - #### static Profile create(ProfileRepository repository, java.lang.String name, Resource profileDir)

    - #### boolean equals(java.lang.Object o)

    - #### @java.lang.Override java.lang.String getName()

    - #### int hashCode()